import { Space } from "antd";
import { inject, observer } from "mobx-react";
import { useEffect } from "react";
import { Store } from "antd/lib/form/interface";
import SimpleForm from "@/components/form/simple_form";
const PayConfig = (props: Store) => {
  const { appStore } = props;
  useEffect(() => {}, []);
  const onFinishFailed = () => {};
  const onFinish = (values: any) => {
    let ids = values.photosIds.map((item) => {
      return item.id;
    });
    let appIcon = values.appIcon.map((item) => {
      return item.id;
    });
    console.log(values);
    values = {
      ...values,
      photosIds: ids.join(","),
      appIcon: appIcon.join(","),
    };
  };
  return (
    <div className="contentBox">
      <Space direction="vertical" size="middle" style={{ display: "flex" }}>
        <div style={{ backgroundColor: "#fff", padding: "10px" }}>
          <p>微信支付</p>
          <SimpleForm
            formName={""}
            colProps={0}
            onFinish={onFinish}
            onFinishFailed={onFinishFailed}
            formDatas={[
              {
                type: "input",
                label: "AppId",
                name: "appId",
                value: "",
                rules: [{ required: true, message: "请输入卡片名称!" }],
              },
              {
                type: "input",
                label: "AppSecret",
                name: "appSecret",
                value: "",
                rules: [{ required: true, message: "请输入卡片名称!" }],
              },
              {
                type: "input",
                label: "MchID",
                name: "mchID",
                value: "",
                rules: [{ required: true, message: "请输入卡片名称!" }],
              },
              {
                type: "input",
                label: "微信支付key",
                name: "WeixinPayKey",
                value: "",
                rules: [{ required: true, message: "请输入卡片名称!" }],
              },
              {
                type: "input",
                label: "微信支付回调地址",
                name: "WeixinPayNotifyUrl",
                value: "",
                rules: [{ required: true, message: "请输入卡片名称!" }],
              },
            ]}
          />
        </div>
        <div style={{ backgroundColor: "#fff", padding: "10px" }}>
          <p>支付宝支付</p>
          <SimpleForm
            formName={""}
            colProps={0}
            onFinish={onFinish}
            onFinishFailed={onFinishFailed}
            formDatas={[
              {
                type: "input",
                label: "AliAppId",
                name: "aliAppId",
                value: "",
                rules: [{ required: true, message: "请输入卡片名称!" }],
              },
              {
                type: "input",
                label: "AliKey",
                name: "aliKey",
                value: "",
                rules: [{ required: true, message: "请输入卡片名称!" }],
              },
              {
                type: "input",
                label: "AliPayNotifyUrl",
                name: "aliPayNotifyUrl",
                value: "",
                rules: [{ required: true, message: "请输入卡片名称!" }],
              },
            ]}
          />
        </div>
      </Space>
    </div>
  );
};

export default inject("appStore")(observer(PayConfig));
