import { Space, Tabs, TabsProps } from "antd";
import { inject, observer } from "mobx-react";
import { useEffect } from "react";
import { Store } from "antd/lib/form/interface";
import PayConfig from "./config/pay-config";
import PushConfig from "./config/push-config";
import ImConfig from "./config/im-config";
import React from "react";
const AppManageConfig = (props: Store) => {
  const { appStore } = props;

  useEffect(() => {}, []);
  const items: TabsProps["items"] = [
    {
      key: "1",
      label: "支付配置",
      children: <PayConfig />
    },
    {
      key: "2",
      label: "推送配置",
      children: <PushConfig />
    },
    {
      key: "3",
      label: "im配置",
      children: <ImConfig />
    },
  ];
  const onChange = (key: string) => {
    console.log(key);
  };
  return (
    <div className="contentBox">
      <Space direction="vertical" size="middle" style={{ display: "flex" }}>
        <Tabs defaultActiveKey="1" items={items} onChange={onChange} />
      </Space>
    </div>
  );
};

export default inject("appStore")(observer(AppManageConfig));
